%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname autocomplete_widgets

Name:    drupal%{drupalver}-%{modname}
Version: 1.3
Release: 1%{?dist}
Summary: This module adds 3 autocomplete widgets for CCK fields of type Text and Number
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0
Requires:  drupal6-cck

%description
This module adds 3 autocomplete widgets for CCK fields of type Text and Number.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupaldir}/modules/%{modname}/'{}' \;


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc CHANGELOG.txt LICENSE.txt README.txt %{name}-fedora-README.txt
# Remember to exclude all documentation texts from above
%exclude %{drupaldir}/modules/%{modname}/CHANGELOG.txt
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/README.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Thu Sep 29 2011 Peter Borsa <peter.borsa@gmail.com> - 1.3-1
- Initial packaging.

